PROCINFO-NG(8)

NAME
procinfo - display system statistics gathered from /proc

SYNOPSIS
procinfo [ -fdDSbrhv ] [ -nN ]

DESCRIPTION
procinfo gathers some system data from the /proc directory and prints it nicely formatted on the standard output device.

The meanings of the fields are as follows:

Memory:
    See the man page for free(1)

Bootup:
    The time the system was booted.

Load average:
    The average number of jobs running, followed by the number of runnable processes and the total number of processes, followed by the PID of the last process run. The pid of the last running process will probably always be procinfo's PID.

user:
    The amount of time spent running jobs in user space.

nice:
    The amount of time spent running niced jobs in user space.

system:
    The amount of time spent running in kernel space. Note: the time spent servicing interrupts is not counted by the kernel (and nothing that procinfo can do about it).

idle:
    The amount of time spent doing nothing.

uptime:
    The time that the system has been up. The above four should more or less add up to this one.

page in:
    The number of disk blocks paged into core from disk. 1 block is equal to 1 kiB.

page out:
    The number of disk blocks paged out of core to disk. This includes regular disk-writes.

swap in:
    The number of memory pages paged in from swap.

swap out:
    The number of memory pages paged out to swap.

context:
    The number of context switches, either since bootup or per interval.

Disk stats(hda, hdb, sda, sdb):
    The number of reads and writes made to disks, whether CD-ROM, hard-drive, or USB. Shows all disks if they either are an hdX or sdX, or if they have a non-zero read/write count.

Interrupts:
    Number of interrupts serviced since boot, or per interval, listed per IRQ.

OPTIONS

-nN Pause N second between updates. This option implies -f. It may contain a decimal point. The default is 5 seconds. When run by root with a pause of 0 seconds, the program will run at the highest possible priority level.

-d  For memory, CPU times, paging, swapping, disk, context and interrupt stats, display values per second rather than totals. This option implies -f.

-D  Same as -d, except that memory stats are displayed as totals.

-S  When running with -d or -D, always show values per second, even when running with -n N with N greater than one second.

-b  Display numbers of bytes rather than number of I/O requests.

-r  This option adds an extra line to the memory info showing 'real' free memory, just as free(1) does. The numbers produced assume that Buffers and Cache are disposable.

-H  Displays memory stats in 'Human' (base 1024) numbers (KiB, MiB, GiB), instead of implied KBytes.

-h  Print a brief help message.

-v  Print version info.

INTERACTIVE COMMANDS
When running procinfo fullscreen, you can change its behaviour by pressing d, D, S, r and b, which toggle the flags that correspond to their same-named commandline-options. In addition you can press q which quits the program.

FILES
/proc
    The proc file system.

BUGS
All of these statistics are taken verbatim from the kernel, without any scaling. Any case where the kernel specifies that a particular field means something different from how it is documented in this man-page, the kernel always wins.

Some features of the original procinfo were elided, as they were considered non-useful, especially as many of them don't change anymore, and have better utilities for listing/displaying them.

SEE ALSO
free(1), uptime(1), w(1), init(8), proc(5).

AUTHOR
Adam Schrotenboer <adam@tabris.net>